Index: uspace/lib/usb/src/dump.c
===================================================================
--- uspace/lib/usb/src/dump.c	(revision e0a5d4cfd543daee5dd5a861793ddd18dcb32c0b)
+++ uspace/lib/usb/src/dump.c	(revision f712a858b9463dae30e9eee5ef1ccc54ae618f02)
@@ -140,6 +140,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_standard_device_descriptor_t *d
-	    = (usb_standard_device_descriptor_t *) descriptor;
+	usb_standard_device_descriptor_t *d =
+	    (usb_standard_device_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -167,6 +167,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_standard_configuration_descriptor_t *d
-	    = (usb_standard_configuration_descriptor_t *) descriptor;
+	usb_standard_configuration_descriptor_t *d =
+	    (usb_standard_configuration_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -194,6 +194,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_standard_interface_descriptor_t *d
-	    = (usb_standard_interface_descriptor_t *) descriptor;
+	usb_standard_interface_descriptor_t *d =
+	    (usb_standard_interface_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -205,6 +205,6 @@
 	PRINTLINE("bAlternateSetting = %d", d->alternate_setting);
 	PRINTLINE("bNumEndpoints = %d", d->endpoint_count);
-	PRINTLINE("bInterfaceClass = %s", d->interface_class == 0
-	    ? "reserved (0)" : usb_str_class(d->interface_class));
+	PRINTLINE("bInterfaceClass = %s", d->interface_class == 0 ?
+	    "reserved (0)" : usb_str_class(d->interface_class));
 	PRINTLINE("bInterfaceSubClass = %d", d->interface_subclass);
 	PRINTLINE("bInterfaceProtocol = %d", d->interface_protocol);
@@ -222,6 +222,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_standard_endpoint_descriptor_t *d
-	   = (usb_standard_endpoint_descriptor_t *) descriptor;
+	usb_standard_endpoint_descriptor_t *d =
+	    (usb_standard_endpoint_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -229,6 +229,6 @@
 
 	int endpoint = d->endpoint_address & 15;
-	usb_direction_t direction = d->endpoint_address & 128
-	    ? USB_DIRECTION_IN : USB_DIRECTION_OUT;
+	usb_direction_t direction = d->endpoint_address & 128 ?
+	    USB_DIRECTION_IN : USB_DIRECTION_OUT;
 	usb_transfer_type_t transfer_type = d->attributes & 3;
 
@@ -248,6 +248,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_superspeed_endpoint_companion_descriptor_t *d
-	   = (usb_superspeed_endpoint_companion_descriptor_t *) descriptor;
+	usb_superspeed_endpoint_companion_descriptor_t *d =
+	    (usb_superspeed_endpoint_companion_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -265,6 +265,6 @@
     const uint8_t *descriptor, size_t descriptor_length)
 {
-	usb_standard_hid_descriptor_t *d
-	    = (usb_standard_hid_descriptor_t *) descriptor;
+	usb_standard_hid_descriptor_t *d =
+	    (usb_standard_hid_descriptor_t *) descriptor;
 	if (descriptor_length < sizeof(*d)) {
 		return;
@@ -282,8 +282,8 @@
 	/* Print info about report descriptors. */
 	size_t i;
-	size_t count = (descriptor_length - sizeof(*d))
-	    / sizeof(usb_standard_hid_class_descriptor_info_t);
-	usb_standard_hid_class_descriptor_info_t *d2
-	    = (usb_standard_hid_class_descriptor_info_t *)
+	size_t count = (descriptor_length - sizeof(*d)) /
+	    sizeof(usb_standard_hid_class_descriptor_info_t);
+	usb_standard_hid_class_descriptor_info_t *d2 =
+	    (usb_standard_hid_class_descriptor_info_t *)
 	    (descriptor + sizeof(*d));
 	for (i = 0; i < count; i++, d2++) {
@@ -308,15 +308,14 @@
 	    d->characteristics_reserved, d->characteristics,
 	    (d->characteristics & HUB_CHAR_NO_POWER_SWITCH_FLAG) ?
-	        "No Power Switching" :
-		((d->characteristics & HUB_CHAR_POWER_PER_PORT_FLAG) ?
-		    "Per-Port Switching" : "Ganged Power Switching"),
+	    "No Power Switching" :
+	    ((d->characteristics & HUB_CHAR_POWER_PER_PORT_FLAG) ?
+	    "Per-Port Switching" : "Ganged Power Switching"),
 	    (d->characteristics & HUB_CHAR_COMPOUND_DEVICE) ?
-	        "Compound Device;" : "",
+	    "Compound Device;" : "",
 	    (d->characteristics & HUB_CHAR_NO_OC_FLAG) ?
-	        "No OC Protection" :
-		    ((d->characteristics & HUB_CHAR_OC_PER_PORT_FLAG) ?
-		        "Individual Port OC Protection" :
-	                    "Global OC Protection")
-	);
+	    "No OC Protection" :
+	    ((d->characteristics & HUB_CHAR_OC_PER_PORT_FLAG) ?
+	    "Individual Port OC Protection" :
+	    "Global OC Protection"));
 	PRINTLINE("bPwrOn2PwrGood = %d (%d ms)",
 	    d->power_good_time, d->power_good_time * 2);
@@ -327,6 +326,6 @@
 	const uint8_t *powered_mask = descriptor + sizeof(*d) + port_bytes;
 
-	if (port_bytes == 0
-	    || port_bytes > (((d->port_count / (unsigned)8) + 1) * 2)) {
+	if (port_bytes == 0 ||
+	    port_bytes > (((d->port_count / (unsigned)8) + 1) * 2)) {
 		PRINTLINE("::CORRUPTED DESCRIPTOR:: (%zu bytes remain)",
 		    port_bytes * 2);
